#!/bin/sh

set -e

if [ -z "$1" ]
then
	echo "Logo to generate overlay from was not specified."
	exit 1
fi

DIR="$(dirname "$(which "$0")")"

export LOGO_URL="file://$DIR/logoGen/$1.svg"
envsubst < "$DIR/overlay480.svg" > overlay480.tmp.svg

inkscape -o overlay480.png overlay480.tmp.svg
rm overlay480.tmp.svg
